Video Screencast Help
Symantec to Separate Into Two Focused, Industry-Leading Technology Companies. Learn more.

Not Able to Expire the Tape

Created: 31 Jul 2014 • Updated: 01 Aug 2014 | 5 comments
This issue has been solved. See solution.

Hi All,

We are running NBU 7.0 on W2k8 Box. And i had some set of Tapes that needs to expire Manually and need to reuse for Backup, but the i'm facing the below issue and if i see the bpxpdate file in install path its with "0"kb. does the file is corrupted? if its corrupted can i copy some other W2k8 box "bpexpdate" file and can replace ? does it works with out creating any problem to my setup? please suggest me on this.

FYI

 

expdate.png

:\Program Files\Veritas\NetBackup\bin\admincmd>bpexpdate.exe -m a00030
Access is denied.

:\Program Files\Veritas\NetBackup\bin\admincmd>

 

Operating Systems:

Comments 5 CommentsJump to latest comment

watsons's picture

You can copy from other Windows box as long as they have the same Netbackup version + patch, so if the orig box has 7.0 (without any patch), you need to get the same 7.0 (base product, no patch), also make sure the same instruction set (x86 or x64).

SOLUTION
Marianne's picture

I agree. You can copy bpexpdate from another server.
Even a Windows Admin Console can be used to copy from.

If this was my installation, I would be worried about the health of this environment. 

You had to reinstall NBU just a couple of days ago:  Master server services are Down 
Why would one specific binary be corrupt just a couple of days after reinstall?

Schedule upgrade and migrate to new server sooner rather than later...

Is this related to your other unresolved forum post? Not Able to Expire the Tapes 

(Please try to always close off unresolved forum posts by marking a Solution - even if you mark your own post as solution if you feel that you have solved your own problem.)

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

john@12's picture

Hi Marianne/watsons,

 

Thanks

Now the issue with different NBU Master, and previuosly i reinstalled NBU in another server,

ok in thhis case i will follow "watsons" post and do the changes.

sure i will close the posts.

and what could be the reason for this issue for corrupt of bpxpdate file ? any ideas?

 

john@12's picture

Sorry Guys,

Small correction, NBU version on server is 7.5.0.6, and i dont have same patch on different servers, some are running on 7.0 & 7.5. so now can i use 7.5 file wiith same OS ? does it works ? Please suggest me .
 

Marianne's picture

Try the 7.5 one. Unless a new binary was issued in a later patch, chances are that it will work. It will not 'break' anything.

I would personally install 7.5 Windows Admin Console on my laptop or a desktop, then patch it to 7.5.0.6, then copy the binary.

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links